<?php
  
ECHO "<div class='navi'>";
ECHO "<a href='?'>".ICONS('home', 25)."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "<a href='?path=system'>".LG('Настройки системы')."</a> ";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "".LG('Доступ к панели')."";
ECHO "</div>";

IF (POST('ok')){
  
  $password = ADSL(POST('password'));
  $access = INTVAL(POST('access'));
  
  IF (STR(CONFIG('ADM_EMAIL')) < 1 && STR($password) > 0){
    
    ERROR('Пароль не может быть установлен, так как не указан E-mail адрес ответственного за сайта лица', 'session');
    REDIRECT('?path=system&section=security');
    
  }
  
  IF (STR($password) > 0 && CONFIG('PASSWORD') != $password){
    
    EMAIL(CONFIG('ADM_EMAIL'), 'Смена пароля для доступа в панель управления', 'Здравствуйте. Для вашей панели управления сменился пароль для доступа. <br /><br />Новый пароль: <b>'.$password.'</b>', CONFIG('EMAIL_ADM'));
    
  }
  
  IF (STR($password) > 0){
    
    $p = SHIF($password);
    
    SETCOOKIE('PANEL_PASSWORD', $p, TIME() + 60 * 60 * 24 * 365);
    
  }ELSE{
    
    $p = NULL;
  
  }
  
  INI::UPGRADE(ROOT.'/system/config/global/settings.ini', 'PASSWORD', $p);
  INI::UPGRADE(ROOT.'/system/config/global/settings.ini', 'ACCESS', $access);
  
  DB::GET_SET("UPDATE `USERS` SET `PANEL_CODE_IP` = '0', `PANEL_IP` = '".IP."' WHERE `ID` = '".$user['ID']."' LIMIT 1");
  
  SUCCESS('Изменения успешно приняты', 'session');
  REDIRECT('?path=system&section=security');

}

ECHO "<div class='fon'>";

ECHO "<form method='post'>";

ECHO "<b>".LG('Режим доступа').":</b><br />";
ECHO "<select name='access' class='form-control-select'>";

ECHO "<option value='1' ".(CONFIG('ACCESS') == 1?" selected='selected'" : NULL)."> ".LG('Свободный')."</option>";
ECHO "<option value='2' ".(CONFIG('ACCESS') == 2?" selected='selected'" : NULL)."> ".LG('Проверка IP')."</option>";

ECHO "</select><br /><br />";

ECHO "<b>".LG('Пароль доступа к панели')." (".LG('по желанию')."):</b><br />";
HTML::INPUT('password', NULL, NULL, NULL, NULL, 'form-control-30', 'password');

IF (CONFIG('PASSWORD') > NULL){
  
  ECHO "<font color='#FAC3BE'>".ICONS('lock', 15)." <b>".LG('Установлен пароль')."</b></font><br /><br />";
  
}

ECHO LG('При установке или смене пароля на E-mail адрес ответственного за сайт лица будет отправлено оповещение с паролем').'<br /><br />';

HTML::BUTTON('panel-button2', 'ok', 'save', 'Сохранить изменения');

ECHO "</form>";

ECHO "</div>";